%% -----------------
%% Copyright © 2022 ACK Cyfronet AGH, Poland.
%% -----------------
%%
%% Sample function created for demonstration of creating custom applications functionality
%% See also https://docs.cyfronet.pl/display/ISDOC/Creating+Custom+Applications
%%
function sampleApp(inVector)

%% sampleApp function that multiplies a vector of number values by a multiplicator and plots the result
%
% Inputs:
%   - inVector - vector of double number values
%
% Outputs:
%   - PNG image file 'vectorPlot.png' containing a plot of the inVector multiplied by multiplicator
%
    plot(inVector);
    print('-dpng', 'vectorPlot.png');

end
